/*
 * PgVecFldOn_CP.java
 *
 * Created on December 5, 2004, 6:22 PM
 */

package Grapher2D.geom;
import java.awt.*;

import jv.object.PsDebug;
import jv.object.PsPanel;
import jv.object.PsUpdateIf;
import jv.project.PgGeometryIf;
import Grapher2D.util.*;
/**
 *
 * @author David
 */
public class PgVecFldOn_CP extends PsPanel {
        protected	PgVecFldOn                              m_PgVecFldOn;
        protected       PsPanel                                 m_pFunc;
	protected	PsPanel					m_pDomain;
    
    /** Creates a new instance of PgVecFldOn_CP */
    public PgVecFldOn_CP() {
        super();
        if (getClass() == PgVecFldOn_CP.class) {
            init();
        }
    }
    
     public void init() {
		super.init();
		addTitle("Graph");
             
                m_pFunc = new PsPanel();
                m_pFunc.setLayout(new GridLayout(1, 1));
                add(m_pFunc);
                
		m_pDomain = new PsPanel();
  		add(m_pDomain);
		
		addLine(1);
    }
    
    public void setParent(PsUpdateIf parent) {
		super.setParent(parent);
             
		m_PgVecFldOn = (PgVecFldOn)parent;
                
                setTitle(m_PgVecFldOn.getName());
                
            //    m_pFunc.add(m_PgVecFldOn.m_func2.assureInspector(PsPanel.INFO,PsPanel.INFO_EXT));
                m_pFunc.add(new PuFunc_IP(m_PgVecFldOn.m_func2));   
                m_pDomain.add(m_PgVecFldOn.m_domain.assureInspector(PsPanel.INFO,PsPanel.INFO_EXT));

        }
    public boolean update(Object event) {
		if (PsDebug.NOTIFY) PsDebug.notify("isShowing = "+isShowing());
		return super.update(event);
    }
}